summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python/protobuf-python-4.24.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-01 13:28:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-01 13:28:14 +0000
commit2dedadff2afebf5468d1fca91fc2a426e32ed204 (patch)
tree673c809123946f979eaa5f4e8fb92e044c8b7bbb /dev-python/protobuf-python/protobuf-python-4.24.3.ebuild
parent3ae7fc8878b1965830a9196420be8634bc2086c2 (diff)
downloadbaldeagleos-repo-2dedadff2afebf5468d1fca91fc2a426e32ed204.tar.gz
baldeagleos-repo-2dedadff2afebf5468d1fca91fc2a426e32ed204.tar.xz
baldeagleos-repo-2dedadff2afebf5468d1fca91fc2a426e32ed204.zip
Adding metadata
Diffstat (limited to 'dev-python/protobuf-python/protobuf-python-4.24.3.ebuild')
-rw-r--r--dev-python/protobuf-python/protobuf-python-4.24.3.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/protobuf-python/protobuf-python-4.24.3.ebuild b/dev-python/protobuf-python/protobuf-python-4.24.3.ebuild
new file mode 100644
index 000000000000..2d54b47d38cd
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-4.24.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2023 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 flag-o-matic
+
+PARENT_PN="${PN/-python/}"
+PARENT_PV="$(ver_cut 2-)"
+PARENT_P="${PARENT_PN}-${PARENT_PV}"
+
+SRC_URI="
+ https://github.com/protocolbuffers/protobuf/archive/v${PARENT_PV}.tar.gz -> ${PARENT_P}.tar.gz
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+ https://developers.google.com/protocol-buffers/
+ https://pypi.org/project/protobuf/
+"
+
+LICENSE="BSD"
+SLOT="0/24.3.0"
+
+S="${WORKDIR}/${PARENT_P}/python"
+
+BDEPEND="
+"
+DEPEND="
+ ${PYTHON_DEPS}
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-libs/protobuf:${SLOT}
+"
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ eapply_user
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ append-cxxflags -std=c++17
+ DISTUTILS_ARGS=( --cpp_implementation )
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}/install" -name "*.pth" -type f -delete || die
+}